Name:		pcb2gcode
Version:	1.3.2
Release:	6%{?dist}
Summary:	Command-line software for the isolation, routing and drilling of PCBs

Group:		Applications/Engineering
License:	GPLv3+
URL:		https://github.com/pcb2gcode/pcb2gcode/
Source0:	https://github.com/pcb2gcode/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.8
BuildRequires:	pkgconfig(gdkmm-2.4) >= 2.8
BuildRequires:	pkgconfig(libgerbv) >= 2.1.0

%description
pcb2gcode is a command-line software for the isolation, routing and drilling of
PCBs. It takes Gerber files as input and it outputs gcode files, suitable for
the milling of PCBs. It also includes an Autoleveller, useful for the automatic
dynamic calibration of the milling depth.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%{_bindir}/pcb2gcode
%{_mandir}/man1/pcb2gcode.1*
%doc AUTHORS README.md
%license COPYING


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Jonathan Wakely <jwakely@redhat.com> - 1.3.2-4
- Rebuilt for s390x binutils bug

* Tue Jul 18 2017 Jonathan Wakely <jwakely@redhat.com> - 1.3.2-3
- Rebuilt for Boost 1.64

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Sun Dec  4 2016 Lubomir Rintel <lkundrak@v3.sk> - 1.3.2-1
- Initial packaging
